Sweep

Get the status and results of a sweep

Returns the current status of all jobs in a sweep, organized by region.

GET
/crawl/v1/sweep/{sweep_id}

Path Parameters

sweep_id*string

The sweep ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://edge.uprock.com/crawl/v1/sweep/f2bf9f8b-10ee-4c61-9633-4eacc3e8aac8"
{
  "completed_jobs": 0,
  "created_at": "string",
  "failed_jobs": 0,
  "results": {
    "property1": {
      "jobs": [
        {
          "country": "string",
          "data_error": "string",
          "error_message": "string",
          "error_type": "string",
          "job_id": "string",
          "metrics": {
            "cls": 0,
            "dom_content_loaded": 0,
            "fcp": 0,
            "lcp": 0,
            "protocol": "string",
            "total_load_time": 0,
            "transfer_size": 0,
            "ttfb": 0
          },
          "screenshot": "string",
          "status": "string"
        }
      ],
      "region": "string",
      "status": "string"
    },
    "property2": {
      "jobs": [
        {
          "country": "string",
          "data_error": "string",
          "error_message": "string",
          "error_type": "string",
          "job_id": "string",
          "metrics": {
            "cls": 0,
            "dom_content_loaded": 0,
            "fcp": 0,
            "lcp": 0,
            "protocol": "string",
            "total_load_time": 0,
            "transfer_size": 0,
            "ttfb": 0
          },
          "screenshot": "string",
          "status": "string"
        }
      ],
      "region": "string",
      "status": "string"
    }
  },
  "status": "string",
  "sweep_id": "string",
  "total_jobs": 0,
  "url": "string"
}
"invalid request: url is required"
"unauthorized: invalid or missing API key"
"not found: job does not exist or you are not authorized to view it"
"internal server error: please try again later"